slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNRegister

Adds a mathematical function to the FN package.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNRegister(const char *name,PetscErrorCode (*function)(FN))

Not Collective

### Input Parameters

| name | - name of a new user-defined FN
| function | - routine to create context

### Notes

FNRegister() may be called multiple times to add several user-defined functions.

### See Also

FNRegisterAll()

### Level

advanced

### Location

src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages